/* Site-specific tweaks and component styles (bootstrap-free). */

.devicons {
  font-size: 1.5em;
  vertical-align: sub;
}

/* ensure items with short summaries push date over image */
.publication-content {
  width: 90%;
}

h3 {
  margin-top: 40px;
}

h3.mb-0 {
  margin-top: 0;
}

div.skills-heading {
  margin-top: 1em;
  margin-bottom: 0 !important;
}

#skills-content ul {
  list-style: none;
  padding-left: 0;
  margin: 0 0 1rem 0;
}

/* From https://codepen.io/wbeeftink/pen/dIaDH (lightly trimmed) */
.tags {
  font: 12px/1.5 inherit;
  list-style: none;
  margin: 0;
  overflow: hidden;
  padding: 0;
}

.tags li {
  float: left;
}

.tag {
  background: #eee;
  border-radius: 3px 0 0 3px;
  color: #999;
  display: inline-block;
  height: 26px;
  line-height: 26px;
  padding: 0 20px 0 23px;
  position: relative;
  margin: 0 10px 10px 0;
  text-decoration: none;
  transition: color 0.2s;
}

.tag::before {
  background: #fff;
  border-radius: 10px;
  box-shadow: inset 0 1px rgba(0, 0, 0, 0.25);
  content: "";
  height: 6px;
  left: 10px;
  position: absolute;
  width: 6px;
  top: 10px;
}

.tag::after {
  background: #fff;
  border-bottom: 13px solid transparent;
  border-left: 10px solid #eee;
  border-top: 13px solid transparent;
  content: "";
  position: absolute;
  right: 0;
  top: 0;
}

.tag:hover {
  background-color: crimson;
  color: white;
}

.tag:hover::after {
  border-left-color: crimson;
}

.project-fact {
  font-size: 80%;
  font-style: italic;
}

.resume-section blockquote {
  border-left: 4px solid var(--c-primary);
  padding-left: 1em;
  margin-left: 0;
}
